# 指定されたユーザーが利用できるアイテムの数を設定

指定されたユーザーが、増減後に適用された制限の範囲内で購入できる数量を設定します。

User limit APIを使用すると、アイテムを数量限定で販売できます。購入制限を構成するには、目的のアイテム タイプ モジュールの 管理セクションに移動します：
* ゲームキー
* 仮想アイテム & 通貨
* バンドル

Endpoint: PUT /v2/project/{project_id}/admin/user/limit/item/sku/{item_sku}
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。このパラメータは、パブリッシャーアカウントのプロジェクト名の横、またはプロジェクトの作業中にブラウザのアドレスバーで確認できます。URLの形式は以下の通りです：https://publisher.xsolla.com//projects/。
    Example: 44056

  - `item_sku` (string, required)
    アイテムSKU。
    Example: "booster_mega_1"

## Request fields (application/json):

  - `user` (object, required)

  - `user.user_external_id` (string, required)
    ユーザーexternal ID。

  - `available` (integer, required)
    適用された制限内でユーザーが利用できる残りのアイテム数またはプロモーション利用回数。

## Response 200 fields (application/json):

  - `per_user` (object)

  - `per_user.total` (integer)
    ユーザーが購入できるアイテムの最大数。
    Example: 10

  - `per_user.available` (integer)
    ユーザーが購入できるアイテムの残りの数。
    Example: 9

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)

  - `errorCode` (integer)

  - `errorMessage` (string)

  - `transactionId` (string)

## Response 422 fields (application/json):

  - `statusCode` (integer)

  - `errorCode` (integer)

  - `errorMessage` (string)

  - `errorMessageExtended` (array)

  - `transactionId` (string)


